makeself(1)

NAME
makeself - An utility to generate self-extractable archives.

SYNTAX

makeself [options] archive_dir file_name label [startup_script] [args]

DESCRIPTION

This program is a free (GPL) utility designed to create self-extractable archives from a directory.

OPTIONS

The following options are supported.

-v, --version
    Prints out the makeself version number and exits.

-h, --help
    Print out help information.

--tar-quietly
    Suppress verbose output from the tar command

--quiet
    Do not print any messages other than errors

--gzip
    Compress using gzip (default if detected).

--bzip2
    Compress using bzip2.

--pbzip2
    Compress using pbzip2.

--xz
    Compress using xz.

--lzo
    Compress using lzop.

--lz4
    Compress using lz4.

--compress
    Compress using the UNIX 'compress' command.

--nocomp
    Do not compress the data.

--complevel lvl
    Specify the compression level for gzip,bzip2,pbzui2,xz,lzo or lz4

--notemp
    The archive will create archive_dir in the current directory and uncompress in ./archive_dir.

--copy
    Upon extraction, the archive will first copy itself to a temporary directory.

--append
    Append more files to an existing makeself archive. The label and startup scripts will then be ignored.

--current
    Files will be extracted to the current directory. Both --current and --target dir imply --notemp.

--target dir
    Extract directly to a target directory. Directory path can be either absolute or relative.

--header file
    Specify location of the header script.

--cleanup file
    Specify a cleanup script that executes on interrupt and when finished successfully.

--follow
    Follow the symlinks in the archive.

--noprogress
    Do not show the progress during the decompression.

--nox11
    Disable automatic spawn of an xterm if running in X11.

--nowait
    Do not wait for user input after executing embedded program from an xterm.

--nomd5
    Do not create a MD5 checksum for the archive.

--nocrc
    Do not create a CRC32 checksum for the archive.

--lsm file
    LSM file describing the package. --packaging-date date Use provided string as the packaging date instead of the current date.

AUTHORS

Makeself has been written by Stéphane Peter <megastep@megastep.org>. This man page was originally written by Bartosz Fenski <fenio@o2.pl> for the Debian GNU/Linux distribution (but it may be used by others).